# NAME

ikiwiki-makerepo - check an ikiwiki srcdir into revision control

# SYNOPSIS

ikiwiki-makerepo svn|git|monotone|darcs srcdir repository

ikiwiki-makerepo bzr|mercurial srcdir

# DESCRIPTION

`ikiwiki-makerepo` injects a `srcdir` directory, containing an ikiwiki wiki,
into a `repository` that it creates. The repository can be created using
any of a variety of revision control systems.

Note that for mercurial and bzr, the srcdir is converted into a
repository. There is no need to have a separate repository with mercurial
or bzr.

For darcs, the master repo's apply hook will be preconfigured to call a
ikiwiki wrapper.

Note that for monotone, you are assumed to already have run "mtn genkey"
to generate a key.

# AUTHOR

Joey Hess <joey@ikiwiki.info>

Warning: this page is automatically made into ikiwiki-makerepo's man page, edit with care
